View Issue Details

IDProjectCategoryView StatusLast Update
0007360Talerwallet (TS core)public2022-11-04 20:52
Reportersebasjm Assigned ToFlorian Dold  
PriorityhighSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Versiongit (master) 
Target Version0.9Fixed in Version0.9 
Summary0007360: error with trying to pay an age-restricted contract with coins from tip
Descriptionerror: {
  "code": 7021,
  "hint": "Error (WALLET_PENDING_OPERATION_FAILED)",
  "innerError": {
    "code": 7005,
    "hint": "Unexpected HTTP status (400) in response",
    "requestUrl": "https://merchant-backend.taler.ar/orders/2022.255-01B8RQJ45D32Y/pay",
    "httpStatusCode": 400,
    "errorResponse": {
      "hint": "The payment required a minimum age but one of the coins (of a denomination with support for age restriction) did not provide any age_commitment.",
      "code": 2171,
      "h_denom_pub": "XQ2A7K8YVM3K7NWFZVB92CFS1HGG0BN3EGYZWCXYYK8WJH8FGCTAYWK51SQ3ABQZ0D0WFH90WMY8R5TC28H8XAWWMQZ58ENHEJ9MSX0"
    }
  },
  "transactionId": "payment:93FKDT8A5FT47ZBHKJX62FXD67S8F1Z7PBCK9N28448KZF5XX6E0"
}


TagsNo tags attached.

Activities

Florian Dold

2022-09-19 17:08

manager   ~0019153

Fixed (and tested as part of "age-restrictions-merchant") in f63765b9f.

Issue History

Date Modified Username Field Change
2022-09-12 14:37 sebasjm New Issue
2022-09-12 14:37 sebasjm Status new => assigned
2022-09-12 14:37 sebasjm Assigned To => Florian Dold
2022-09-19 17:08 Florian Dold Status assigned => resolved
2022-09-19 17:08 Florian Dold Resolution open => fixed
2022-09-19 17:08 Florian Dold Note Added: 0019153
2022-10-20 10:47 Christian Grothoff Fixed in Version => 0.9
2022-10-20 10:48 Christian Grothoff Target Version git (master) => 0.9
2022-11-04 20:52 Christian Grothoff Status resolved => closed